Platform = {}

function Platform:load()
    self.width = love.graphics.getWidth()    -- This makes the platform as wide as the whole game window.
	self.height = love.graphics.getHeight()  -- This makes the platform as tall as the whole game window.
        
        -- This is the coordinates where the platform will be rendered.
	self.x = 0                               -- This starts drawing the platform at the left edge of the game window.
	self.y = self.height / 2             -- This starts drawing the platform at the very mid
end

function Platform:update(dt)

end

function Platform:draw()
    love.graphics.setColor(1, 1, 1)        -- This sets the platform color to white.

        -- The platform will now be drawn as a white rectangle while taking in the variables we declared above.
	love.graphics.rectangle("fill", self.x, self.y, self.width, self.height)
end